# Yahoo! UI Library

### imageloader 2.5.0

Yahoo! UI Library > imageloader > YAHOO.util.ImageLoader.imgObj

Show Private Show Protected

## Class YAHOO.util.ImageLoader.imgObj

Known Subclasses:
  YAHOO.util.ImageLoader.srcImgObj YAHOO.util.ImageLoader.bgImgObj YAHOO.util.ImageLoader.pngBgImgObj

Base class for image objects to be registered with the groups

### Constructor

YAHOO.util.ImageLoader.imgObj `( domId , url )`

Parameters:
  `domId <String>` HTML DOM id of the image element
  `url <String>` URL for the image

### Properties

#### _fetched `- private Boolean`

Whether the image has already been fetched. In the case of a foldCondional group, keeps track for when the trigger is fired so images aren't fetched twice

#### domId `- String`

HTML DOM id of the image element

#### height `- Int`

Pixel height of the image. Will be set as a "height" attribute after the image is fetched. Detaults to the natural height of the image. Only appropriate with src images

#### setVisible `- Boolean`

Whether the style.visibility should be set to "visible" after the image is fetched. Used when setting src images as visibility:hidden prior to image fetching

#### url `- String`

URL for the image

#### width `- Int`

Pixel width of the image. Will be set as a "width" attribute after the image is fetched. Detaults to the natural width of the image. Only appropriate with src images

### Methods

#### _applyUrl

`private void _applyUrl ( el )`
Inserts the image URL into the DOM so that the image is displayed. Must be overridden by child class

Parameters:
  `el <Object>` HTML DOM element

Returns: `void`

#### fetch

`void fetch ( )`
Displays the image; puts the URL into the DOM

Returns: `void`

Copyright © 2007 Yahoo! Inc. All rights reserved.